import * as $dara from '@darabonba/typescript';
import { DeleteBgpPeerResponseBody } from "./DeleteBgpPeerResponseBody";
export declare class DeleteBgpPeerResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteBgpPeerResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
